
Foreman - Refactor #14638

Refactor Subnet into STI to allow different subnet types

04/14/2016 04:51 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Network   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3424

  

Description

Related issues:

Related to Foreman - Feature #2315: IPv6 Support Assigned 03/13/2013

Related to Foreman - Bug #15508: Network address uniqueness enforced, duplica... Closed 06/23/2016

Related to Foreman - Bug #17314: Non-admin user with edit_subnets permissions... Closed 11/11/2016

Associated revisions

Revision 05848084 - 04/19/2016 09:58 AM - Timo Goebel

fixes #14638 - Refactor Subnet into STI to allow different subnet types

History

#1 - 04/14/2016 04:52 AM - Timo Goebel

- Related to Feature #2315: IPv6 Support added

#2 - 04/14/2016 05:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3424 added

#3 - 04/19/2016 10:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 05848084edcd1a4edfbddab8ac2bd46c66c77b4c.

#4 - 04/20/2016 05:11 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#5 - 06/23/2016 09:41 AM - Dominic Cleal

- Related to Bug #15508: Network address uniqueness enforced, duplicates should be possible added

#6 - 11/11/2016 04:30 AM - Dominic Cleal

- Related to Bug #17314: Non-admin user with edit_subnets permissions (etc) cannot edit subnets added
